# The project file for the tqscintilla library.
#
# Copyright (c) 2006
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of TQScintilla.
# 
# This copy of TQScintilla is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# TQScintilla is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# TQScintilla; see the file LICENSE.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


unix:VERSION = 7.0.1


TEMPLATE = lib
TARGET = tqscintilla
# DESTDIR = $(TQTDIR)/lib
CONFIG += qt warn_off release dll thread
INCLUDEPATH = . ../include ../src /usr/include/tqt
DEFINES = TQEXTSCINTILLA_MAKE_DLL TQT SCI_LEXER

HEADERS = \
	tqextscintillaglobal.h \
	tqextscintilla.h \
	tqextscintillaapis.h \
	tqextscintillabase.h \
	tqextscintillacommand.h \
	tqextscintillacommandset.h \
	tqextscintilladocument.h \
	tqextscintillalexer.h \
	tqextscintillalexerbash.h \
	tqextscintillalexerbatch.h \
	tqextscintillalexercpp.h \
	tqextscintillalexercsharp.h \
	tqextscintillalexercss.h \
	tqextscintillalexerdiff.h \
	tqextscintillalexerhtml.h \
	tqextscintillalexeridl.h \
	tqextscintillalexerjava.h \
	tqextscintillalexerjavascript.h \
	tqextscintillalexerlua.h \
	tqextscintillalexermakefile.h \
	tqextscintillalexerperl.h \
	tqextscintillalexerpov.h \
	tqextscintillalexerproperties.h \
	tqextscintillalexerpython.h \
	tqextscintillalexerruby.h \
	tqextscintillalexersql.h \
	tqextscintillalexertex.h \
	tqextscintillamacro.h \
	tqextscintillaprinter.h \
	SciListBox.h \
	ScintillaTQt.h \
	../include/Accessor.h \
	../include/KeyWords.h \
	../include/Platform.h \
	../include/PropSet.h \
	../include/SString.h \
	../include/SciLexer.h \
	../include/Scintilla.h \
	../include/ScintillaWidget.h \
	../include/WindowAccessor.h \
	../src/AutoComplete.h \
	../src/CallTip.h \
	../src/CellBuffer.h \
	../src/ContractionState.h \
	../src/CharClassify.h \
	../src/Document.h \
	../src/DocumentAccessor.h \
	../src/Editor.h \
	../src/ExternalLexer.h \
	../src/Indicator.h \
	../src/KeyMap.h \
	../src/LineMarker.h \
	../src/RESearch.h \
	../src/SVector.h \
	../src/ScintillaBase.h \
	../src/Style.h \
	../src/StyleContext.h \
	../src/ViewStyle.h \
	../src/XPM.h

SOURCES = \
	tqextscintilla.cpp \
	tqextscintillaapis.cpp \
	tqextscintillabase.cpp \
	tqextscintillacommand.cpp \
	tqextscintillacommandset.cpp \
	tqextscintilladocument.cpp \
	tqextscintillalexer.cpp \
	tqextscintillalexerbash.cpp \
	tqextscintillalexerbatch.cpp \
	tqextscintillalexercpp.cpp \
	tqextscintillalexercsharp.cpp \
	tqextscintillalexercss.cpp \
	tqextscintillalexerdiff.cpp \
	tqextscintillalexerhtml.cpp \
	tqextscintillalexeridl.cpp \
	tqextscintillalexerjava.cpp \
	tqextscintillalexerjavascript.cpp \
	tqextscintillalexerlua.cpp \
	tqextscintillalexermakefile.cpp \
	tqextscintillalexerperl.cpp \
	tqextscintillalexerpov.cpp \
	tqextscintillalexerproperties.cpp \
	tqextscintillalexerpython.cpp \
	tqextscintillalexerruby.cpp \
	tqextscintillalexersql.cpp \
	tqextscintillalexertex.cpp \
	tqextscintillamacro.cpp \
	tqextscintillaprinter.cpp \
	SciListBox.cpp \
	PlatTQt.cpp \
	ScintillaTQt.cpp \
	../src/AutoComplete.cpp \
	../src/CallTip.cpp \
	../src/CellBuffer.cpp \
	../src/ContractionState.cpp \
	../src/CharClassify.cpp \
	../src/Document.cpp \
	../src/DocumentAccessor.cpp \
	../src/Editor.cpp \
	../src/ExternalLexer.cpp \
	../src/Indicator.cpp \
	../src/KeyMap.cpp \
	../src/KeyWords.cpp \
	../src/LexAPDL.cpp \
	../src/LexAU3.cpp \
	../src/LexAVE.cpp \
	../src/LexAda.cpp \
	../src/LexAsm.cpp \
	../src/LexAsn1.cpp \
	../src/LexBaan.cpp \
	../src/LexBash.cpp \
	../src/LexBasic.cpp \
	../src/LexBullant.cpp \
	../src/LexCLW.cpp \
	../src/LexCPP.cpp \
	../src/LexCSS.cpp \
	../src/LexCaml.cpp \
	../src/LexConf.cpp \
	../src/LexCrontab.cpp \
	../src/LexCsound.cpp \
	../src/LexEScript.cpp \
	../src/LexEiffel.cpp \
	../src/LexErlang.cpp \
	../src/LexFlagship.cpp \
	../src/LexForth.cpp \
	../src/LexFortran.cpp \
	../src/LexGui4Cli.cpp \
	../src/LexHTML.cpp \
	../src/LexHaskell.cpp \
	../src/LexInno.cpp \
	../src/LexKix.cpp \
	../src/LexLisp.cpp \
	../src/LexLout.cpp \
	../src/LexLua.cpp \
	../src/LexMMIXAL.cpp \
	../src/LexMPT.cpp \
	../src/LexMSSQL.cpp \
	../src/LexMatlab.cpp \
	../src/LexMetapost.cpp \
	../src/LexNsis.cpp \
	../src/LexOpal.cpp \
	../src/LexOthers.cpp \
	../src/LexPB.cpp \
	../src/LexPOV.cpp \
	../src/LexPS.cpp \
	../src/LexPascal.cpp \
	../src/LexPerl.cpp \
	../src/LexPython.cpp \
	../src/LexRebol.cpp \
	../src/LexRuby.cpp \
	../src/LexSQL.cpp \
	../src/LexScriptol.cpp \
	../src/LexSmalltalk.cpp \
	../src/LexSpecman.cpp \
	../src/LexSpice.cpp \
	../src/LexTADS3.cpp \
	../src/LexTCL.cpp \
	../src/LexTeX.cpp \
	../src/LexVB.cpp \
	../src/LexVHDL.cpp \
	../src/LexVerilog.cpp \
	../src/LexYAML.cpp \
	../src/LineMarker.cpp \
	../src/PropSet.cpp \
	../src/RESearch.cpp \
	../src/ScintillaBase.cpp \
	../src/Style.cpp \
	../src/StyleContext.cpp \
	../src/ViewStyle.cpp \
	../src/WindowAccessor.cpp \
	../src/XPM.cpp

TRANSLATIONS = \
	tqscintilla_de.ts \
	tqscintilla_fr.ts \
	tqscintilla_pt_br.ts \
	tqscintilla_ru.ts


header.path = $(TQTDIR)/include
header.files = tqextscintilla*.h

trans.path = $(TQTDIR)/translations
trans.files = tqscintilla_*.qm

INSTALLS += header trans
